license_plate_api_brazil
====================

Um pacote Dart para procurar detalhes tecnicos de veiculos registrados no Brasil por sua matricula

`license_plate_api_brazil` fornece uma maneira simples de encontrar detalhes do veiculo em uma placa (numero de registro)
de um carro registrado no Brasil

Isso requer um nome de usuario e senha, disponiveis gratuitamente em http://www.placaapi.com/

## English

A Dart package for looking up technical details on vehicles registered in Brazil by their license plate

`license_plate_api_brazil` provides a simple way to find vehicle details from a license plate (registration number)
of a car registered in Brazil

This requires a username and password, which is available for free from http://www.placaapi.com/

  
## Usage

A simple usage example:

```dart
import 'package:license_plate_api_brazil/license_plate_api_brazil.dart' as RegCheck;

void main(List<String> arguments) async {
  // Usage:
  // dart bin/main.dart *MATRICULA* *USERNAME* *PASSWORD*
  // *USERNAME* and *PASSWORD* are available from http://www.placaapi.com/
  var vehicle = await RegCheck.LicensePlate(arguments[0],arguments[1],arguments[2]);
  print('Description: ${vehicle['Description']}');
 
}
```

which produces the following:

```shell script
Description: VAUXHALL MOKKA SE

```

## Features and bugs

Please file feature requests and bugs via the website http://www.placaapi.com/

